<html>

<head>

    <script src="./3d_path/three.min.js"></script>
    <script src="./3d_path/grids/Cell.js"></script>
    <script src="./3d_path/grids/HexGrid.js"></script>
    <script src="./3d_path/grids/SqrGrid.js"></script>
    <script src="./3d_path/grids/Tile.js"></script>
    <script src="./3d_path/lib/LinkedList.js"></script>
    <script src="./3d_path/lib/Signal.js"></script>
    <script src="./3d_path/pathing/AStarFinder.js"></script>
    <script src="./3d_path/pathing/PathUtil.js"></script>
    <script src="./3d_path/utils/Loader.js"></script>
    <script src="./3d_path/utils/Scene.js"></script>
    <script src="./3d_path/utils/Tools.js"></script>
    <script src="./3d_path/Board.js"></script>
    <script src="./3d_path/vg.js"></script>
    <script src="../constant.js"></script>
    <script type="module" src="book-library.js"></script>
    <style>
        body {
            margin: 0;
        }

        canvas {
            width: 100%;
            height: 100%;
        }

        #search {
            position: absolute;
            left: 0px;
            top: 30px;
            padding: 4px;
            color: yellow;
            font-weight: bold;
        }

        .modal {
            display: none;
            /* Hidden by default */
            position: fixed;
            /* Stay in place */
            z-index: 1;
            /* Sit on top */
            left: 0;
            top: 0;
            width: 100%;
            /* Full width */
            height: 100%;
            /* Full height */
            overflow: auto;
            /* Enable scroll if needed */
            background-color: rgb(0, 0, 0);
            /* Fallback color */
            background-color: rgba(0, 0, 0, 0.4);
            /* Black w/ opacity */
        }

        /* Modal Content/Box */
        .modal-content {
            background-color: #fefefe;
            margin: 15% auto;
            /* 15% from the top and centered */
            padding: 20px;
            border: 1px solid #888;
            width: 30%;
            /* Could be more or less, depending on screen size */
            border-radius: 10px;
        }

        /* The Close Button */
        .close {
            color: black;
            float: right;
            font-size: larger;
            position: relative;
            bottom: 28px;
            left: 20px;
        }

        .close:hover,
        .close:focus {
            color: black;
            text-decoration: none;
            cursor: pointer;
        }

        .field {
            padding: 8px;
        }

        .title_search {
            background-color: white;
            color: black;
            height: 10px;
            font-weight: 600;
            padding: 15px;
            border-radius: 5px;
            font-size: 25px;
        }

        /* Dropdown Button */
        .dropbtn {
            background-color: #4CAF50;
            color: white;
            padding: 16px;
            font-size: 16px;
            border: none;
            cursor: pointer;
        }

        /* Dropdown button on hover & focus */
        .dropbtn:hover,
        .dropbtn:focus {
            background-color: #3e8e41;
        }

        /* The search field */
        #mysearchInput {
            box-sizing: border-box;
            background-image: url('searchicon.png');
            background-position: 5px 7px;
            background-repeat: no-repeat;
            font-size: 16px;
            padding: 14px 20px 12px 45px;
            border: none;
            border-bottom: 1px solid #ddd;
        }

        /* The search field when it gets focus/clicked on */
        #mysearchInput:focus {
            outline: none;
        }

        /* The container <div> - needed to position the dropdown content */
        .dropdown {
            position: relative;
            display: inline-block;
        }

        /* Dropdown Content (Hidden by Default) */
        .dropdown-content {
            display: none;
            position: absolute;
            background-color: #f6f6f6;
            min-width: 380px;
            border: 1px solid #ddd; 
            z-index: 1;
            max-height: 250px;
            overflow: auto;
        }

        /* Links inside the dropdown */
        .dropdown-content a {
            color: black;
            padding: 12px 16px;
            text-decoration: none;
            display: block;
        }

        /* Change color of dropdown links on hover */
        .dropdown-content a:hover {
            background-color: #f1f1f1
        }

        /* Show the dropdown menu (use JS to add this class to the .dropdown-content container when the user clicks on the dropdown button) */
        .show {
            display: block;
        }
        #back {
                position: absolute;
                left: 0px;
                top: 0px;
                padding: 4px;
                color: yellow;   
                font-weight: bold;
            }
            #popup-search-book{
                width: 380px;
                border: 1px solid gray;
                border-radius: 5px;
                opacity: 0.6;
            }

    </style>
</head>
<body>
    <div id='search'>
        <input type="button" id="search_book" value="Search Book">
    </div>
    <div id='back'>
        <input type="button" name="back" value="Back To Home" onclick="navigateToHome()">
    </div>
    <div id="myModal" class="modal">

        <!-- Modal content -->
        <div class="modal-content">
            <div class="title_search">
                <span>Search Book</span>
                <span class="close">&times;</span>
            </div>
            <div class="field dropdown">
                <div id="popup-search-book" class="">
                    <input type="text" placeholder="Search.." id="mysearchInput">
                </div>
                <div id="books-drop-down" class="dropdown-content">
                </div>
            </div>
        </div>
    </div>
</body>
</html>